# wxHeaderCtrlEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/headerctrl.h>`

Inheritance diagram for wxHeaderCtrlEvent:
[legend]

## Detailed Description

Event class representing the events generated by wxHeaderCtrl.

##

Library: wxCore
Category: Events

See also:
  wxHeaderCtrl

## Public Member Functions

int | GetColumn () const
| Return the index of the column affected by this event.
int | GetWidth () const
| Return the current width of the column.
unsigned int | GetNewOrder () const
| Return the new order of the column.

List of all members.

## Member Function Documentation

int wxHeaderCtrlEvent::GetColumn | ( |  | ) | const

Return the index of the column affected by this event.

This method can be called for all header control events.

unsigned int wxHeaderCtrlEvent::GetNewOrder | ( |  | ) | const

Return the new order of the column.

This method can only be called for end reorder event for which it indicates the tentative new position for the column GetColumn() selected by the user. If the event is not vetoed, this will become the new column position in wxHeaderCtrl::GetColumnsOrder().

int wxHeaderCtrlEvent::GetWidth | ( |  | ) | const

Return the current width of the column.

This method can only be called for the dragging events.

|  | [ top ]